---
title: RTCIceCandidateStats.address
slug: Web/API/RTCIceCandidateStats/address
tags:
  - API
  - Address
  - Domain
  - Domain Name
  - FQDN
  - IP
  - IPv4
  - IPv6
  - Property
  - RTCIceCandidateStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>address</code></strong> property of the {{domxref("RTCIceCandidateStats")}} dictionary indicates the address of the {{Glossary("ICE")}} candidate. While it's preferred that the address be specified as an IPv4 or IPv6 numeric address, a fully-qualified domain name can be used as well.</span> When a domain name is specified, the first IP address selected for that address is used, even if the domain name maps to multiple IP addresses.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>candidateAddress</em> = <em>rtcIceCandidateStats</em>.address;</pre>

<h3 id="Value">Value</h3>

<p>Either an IPv4 or IPv6 address or a fully-qualified domain name, which corresponds to the candidate.</p>

<ul>
 <li>If the value of <code>address</code> is comprised entirely of digits from 0-9 with periods as separators, the value is interpreted as an IPv4 address.</li>
 <li>If the value is entirely comprised of hexadecimal digits and colon (":")  characters, it is interpreted as an IPv6 address.</li>
 <li>Otherwise, the <code>address</code> is presumed to be a fully-qualified domain name, which is resolved first using an AAAA record (assuming IPv6 is available), then using an A record (if no result is found or the device onlu supports IPv4). If multiple IP addresses are returned in response to the query, the {{Glossary("user agent")}} selects one, which is then used for the duration of ICE processing.</li>
</ul>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>address</code> property was previously known as <code>ip</code>, and only permitted IPv4 and IPv6 addresses to be used. The addition of support for fully-qualified domain names to be used for the address brought about the renaming of the property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-address', 'RTCIceCandidateStats.address') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.address")}}</p>
